Bug 133192 - lost dhcp leases file
lost dhcp leases file
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: dhcp (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-22 08:35 EDT by Andrew Martynov
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: dhcp-3.0.1-7_EL3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-22 10:36:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Martynov 2004-09-22 08:35:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7)
Gecko/20040616

Description of problem:
Startup script /etc/rc.d/init.d/dhcpd does not check
availability of /var/lib/dhcp/dhcpd.leases file.

So if this file is removed DHCP server does not started.

Version-Release number of selected component (if applicable):
dhcp-3.0pl2-6.14

How reproducible:
Always

Steps to Reproduce:
1. install DHCP server
2. create simple config like attached
3. /sbin/service dhcpd start
4. /sbin/service dhcpd stop
5. rm /var/lib/dhcp/dhcpd.leases
6. /sbin/service dhcpd start
    

Actual Results:  Server stopped with error

Expected Results:  Server starts and working with clean leases database

Additional info:

It is good idea 
- to check /etc/dhcpd.conf for lease-file-name statement
- if no options included 
-- check if file /var/lib/dhcp/dhcpd.leases exists 
-- otherwise 'touch /var/lib/dhcp/dhcpd.leases'



Sample of /etc/dhcpd.conf
#----------------------------------
ddns-update-style none;
authoritative;

subnet 172.16.0.0 netmask 255.255.0.0 {
        ddns-updates off;
        max-lease-time 259200;
        default-lease-time 259200;
        option broadcast-address 172.16.255.255;
        option subnet-mask 255.255.0.0;
        option domain-name "mylan";
        option domain-name-servers 172.16.0.147, 172.16.0.10;
        pool {
                ddns-updates off;
                range 172.16.0.1 172.16.0.127;
                }

}
Comment 1 Jason Vas Dias 2004-09-22 10:36:08 EDT
This problem has been fixed for some time, in dhcp-3.0.1+ .
dhcp-3.0.1-8 will be in RHEL-3-U4 .
Meanwhile, you can get dhcp-3.0.1-7 compiled for RHEL-3 from:
http://people.redhat.com/~jvdias/DHCP/RHEL-3


Comment 2 John Flanagan 2004-12-21 14:41:46 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-566.html

Note You need to log in before you can comment on or make changes to this bug.